Pas de navigateur dans steam

Tags: #<Tag:0x00007fb9883f6d78>

J’ai réinstallé puis relancé Steam , je vois bien la fenêtre principale mais le navigateur interne ne fonctionne pas.
J’ai cherché un peu sur internet mais je ne trouve que des trucs pour Windows, ce qui ne m’aide pas des masses.
Quand je clique sur le lien, j’arrive à une page générique Support Steam, pas très aidante.
Le site fonctionne dans Firefox et dans Chromium mais pas l’application.

gkrellShoot_08-19-21_175138

Et, bien le bonjour !

Utilises tu la version stable ou une version de développement ?
Autrement essayes de purger l’installation pour la refaire au propre.

Sinon, en espérant que tu pratiques l’anglais et go l’assistance. :d

C’est la version de Sid :

> apt policy steam
steam:
  Installé : 1.0.0.68-1
  Candidat : 1.0.0.68-1
 Table de version :
 *** 1.0.0.68-1 500
        500 http://ftp.fr.debian.org/debian unstable/non-free i386 Packages
        100 /var/lib/dpkg/status

C’est la version que j’ai aussi, et pas de soucis.

Je tente une réinstallation (sans toucher à mes fichiers personnels).
Ensuite, je tenterai avec les deux paquets recommandés.

lesquels ?

nvidia-driver-libs nvidia-vulkan-icd mais je ne vois pas le rapport.
En tout cas, ça ne fonctionne pas non plus.
Je vais tenter de le lancer à partir d’une console.
Tiens :

src/common/html/chrome_ipc_client.cpp (278) : Assertion Failed: Is64BitOS()

Steam est une application en 32 bits d’après ce que j’ai lu mais ne semble pas fonctionner correctement sur un système d’exploitation en 32 bits.

le mot clé est là ; améliorer le support de vulkan pour le GPU en question. Grâce à cette techno, ils vont même jusqu’à précharger pour les utilisateurs des « glyphes » calculés pour les jeux le permettant.

concernant le reste, désolé, je ne vois pas comment t’aider plus, si ce n’est que si tu es sur un OS 32 bits, pourquoi la version 64 bits serait installée ?
cf : fr/Steam - Debian Wiki

J’ai bien la version 32 bits mais je suspecte un problème entre 32 bits et 64 bits.
Je vais remonter un bugue, on verra bien.

peut être mon dernier démo de 2021-10-01 unstable

1- fr Multiarch HOWTO Debian Wiki
2- fr Nvidia Graphics Drivers Wiki Debian

3-
# apt install curl
# apt update

4- Installer Steam
# wget https://steamcdn-a.akamaihd.net/client/installer/steam.deb

5- Désactivé le dépôt steam beta et activé steam stable
# cd /etc/apt/sources.list.d
# nano steam.list.dpkg-new

6-
# dpkg -i steam.deb
# apt-get install -f
# apt install steam

Oui, mais non, là tu es sur un amd64, et cela installe les dépendances binaire pour i*86, or lui est déjà en i386.

1 J'aime

Et d’ailleurs, quand j’installe ce paquet, j’ai la version 470 et non 390 (qui correspond à mon sasfépu).

En fait, Steam n’est maintenant fonctionnel qu’en 64 bits.

C’est quand même ironique, pour une application qui n’est toujours disponible qu’en 32-bit…

fr Steam Wiki Debian

as-tu suivi ce Wiki Debian fr Nvidia Graphics Drivers

juste a passé le no.1, A vérifier et de lire les wiki Debian de ce qui ne va pas :wink:

Beh, non. Si tu veux aider, c’est très bien, mais fais-le de manière à être pleinement utile ; là c’est enquiquinant ; tant qu’à faire, on fait un sed/awk dessus, hein :stuck_out_tongue:

C’est à toi de te mettre à la portée de celui qui a besoin d’être aider, et pas l’inverse…

toujours ! :stuck_out_tongue:

C’était juste à titre informatif pour trouvé ou ça peut coincé :wink: